Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{analysis_id}
/
metrics
/
sources
All Information Sources
curl --request GET \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{analysis_id}/metrics/sources \
  --header 'Authorization: <api-key>'
[
  {
    "id": 123,
    "analysis_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "response_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "position": -1,
    "collection_date": "2023-12-25",
    "source": "gpt-3.5-turbo",
    "domain": "<string>",
    "url": "<string>",
    "type": "<string>",
    "country": "<string>",
    "attribute": "<string>",
    "intention": "Product Purchase"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

analysis_id
string<uuid>
required

A UUID string identifying the analysis.

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Query Parameters

attribute
string

Filter by one specific attribute.

attribute__in
string

Filter by a list of attributes. Values should be comma separated, without brackets or spaces

collection_date
string<date>

Filter by a collection date being equal to the specified date. YYYY-MM-DD format

collection_date__gt
string<date>

Filter by a collection date being greater than the specified date. YYYY-MM-DD format

collection_date__gte
string<date>

Filter by a collection date being greater than or equal the specified date. YYYY-MM-DD format

collection_date__lt
string<date>

Filter by a collection date being less than the specified date. YYYY-MM-DD format

collection_date__lte
string<date>

Filter by a collection date being less than or equal the specified date. YYYY-MM-DD format

country
string

Filter by one specific country.

country__in
string

Filter by a list of countries. Values should be comma separated, without brackets or spaces

domain
string

Filter by one specific domain.

domain__in
string

Filter by a list of domains. Values should be comma separated, without brackets or spaces

format
enum<string>
Available options:
csv,
json
intention
string

Filter by one specific intention.

intention__in
string

Filter by a list of intentions. Values should be comma separated

limit
integer

Limit number of results.

source
enum<string>

Filter by one specific source.

Available options:
claude-3-5-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
claude-4-sonnet,
deepseek-chat,
deepseek-reasoner,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
google-ai-mode,
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
mistral-7B-instruct,
perplexity-sonar,
rufus
source__in
enum<string>

Filter by a list of sources. Values should be comma separated, without brackets or spaces

Available options:
claude-3-5-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
claude-4-sonnet,
deepseek-chat,
deepseek-reasoner,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
google-ai-mode,
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
mistral-7B-instruct,
perplexity-sonar,
rufus
type
enum<string>

Filter by one specific type of source.

Available options:
Branded Website,
Community Help Center,
Comparison Site,
Government/Academic,
Influencer/Creator Blog,
News Media,
Product Review Site,
Q&A/Forum,
Retail/E-Commerce,
Specialist Blog,
Wiki/Encyclopedia
type__in
enum<string>

Filter by a list of types of sources. Values should be comma separated, without brackets or spaces

Available options:
Branded Website,
Community Help Center,
Comparison Site,
Government/Academic,
Influencer/Creator Blog,
News Media,
Product Review Site,
Q&A/Forum,
Retail/E-Commerce,
Specialist Blog,
Wiki/Encyclopedia

Response

id
integer
required
read-only
analysis_id
string<uuid>
required
workspace_id
string<uuid>
required
response_id
string<uuid>
required
position
integer
required
Required range: -128 <= x <= 127
collection_date
string<date>
required
source
enum<string>
required
  • gpt-3.5-turbo - gpt 3.5 turbo
  • gpt-4-turbo - gpt 4 turbo
  • gpt-4o - gpt 4o
  • gpt-4o-mini-search - gpt 4o mini search
  • gpt-5 - gpt 5
  • gpt-5.2 - gpt 5.2
  • gpt-5.4-mini - gpt 5.4 mini
  • gemini-1.5-pro - gemini 1.5 pro
  • gemini-2.0-flash - gemini 2.0 flash
  • gemini-2.5-flash-grounded - gemini 2.5 flash grounded
  • gemini-2.5-flash - gemini 2.5 flash
  • gemini-2.5-flash-lite - gemini 2.5 flash lite
  • gemini-3-flash-preview - gemini 3 flash preview
  • meta-llama-3.1-70B-instruct-turbo - meta llama 3.1 70B instruct turbo
  • meta-llama-3.2-70B-instruct-turbo - meta llama 3.2 70B instruct turbo
  • meta-llama-3.3-70B-instruct-turbo - meta llama 3.3 70B instruct turbo
  • meta-llama-4-maverick - meta llama 4 maverick
  • mistral-7B-instruct - mistral 7B instruct
  • claude-3-5-sonnet - claude 3 5 sonnet
  • claude-4-sonnet - claude 4 sonnet
  • claude-4-5-sonnet - claude 4 5 sonnet
  • claude-4-6-sonnet - claude 4 6 sonnet
  • deepseek-chat - deepseek chat
  • deepseek-reasoner - deepseek reasoner
  • perplexity-sonar - perplexity sonar
  • rufus - rufus
  • google-ai-mode - google ai mode
Available options:
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
mistral-7B-instruct,
claude-3-5-sonnet,
claude-4-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
deepseek-chat,
deepseek-reasoner,
perplexity-sonar,
rufus,
google-ai-mode
domain
string
required
url
string
required
type
string | null
country
string | null
attribute
string | null
intention
enum<string>
  • Product Purchase - Product Purchase
  • Information Request - Information Request
  • Media Retrieval - Media Retrieval
Available options:
Product Purchase,
Information Request,
Media Retrieval